## ros-foxy-grepros 0.6.0

=== debian/changelog ===
ros-foxy-grepros (0.6.0-1focal) focal; urgency=high

  * add nesting=array|all to --write Parquet options
  * add idgenerator=callable to --write Parquet options
  * add rosapi.canonical()
  * match bounded array fields to configured output types properly
    in Parquet/Postgres/SQL/SQLite output, like "uint8[10]" for "BYTEA" in Postgres
  * workaround for ROS1 time/duration fields defined as int32 while actually being uint32
  * fix date formatting in HTML output

 -- Erki Suurjaak <erki@lap.ee>  Wed, 29 Mar 2023 21:00:00 -0000

ros-foxy-grepros (0.5.0-1focal) focal; urgency=high

  * add --plugin grepros.plugins.mcap (MCAP input and output)
  * refactor internal bag API
  * fix message type definition parsing yielding duplicate subtypes
  * fix error in example usage text

 -- Erki Suurjaak <erki@lap.ee>  Sat, 29 Oct 2022 21:00:00 -0000

ros-foxy-grepros (0.4.7-1focal) focal; urgency=high

  * fix space leak in caching message metadata

 -- Erki Suurjaak <erki@lap.ee>  Sun, 19 Jun 2022 21:00:00 -0000

ros-foxy-grepros (0.4.6-1focal) focal; urgency=high

  * add forgotten implementation for --every-nth-match
  * fix --every-nth-message
  * fix error on grepping bags where no topic or type name matches given filter

 -- Erki Suurjaak <erki@lap.ee>  Wed, 25 May 2022 21:00:00 -0000

ros-foxy-grepros (0.4.5-1focal) focal; urgency=high

  * fix forcing all numeric array fields to integer lists regardless of type
  * fix error on subscribing to defunct topic

 -- Erki Suurjaak <erki@lap.ee>  Mon, 18 Apr 2022 21:00:00 -0000

ros-foxy-grepros (0.4.4-1focal) focal; urgency=high

  * add support for reading zstd-compressed bagfiles
  * use message type definition from ROS1 live topics instead of locally installed package
  * optimize partial printing of very long array fields
  * optimize CSV output of very long array fields
  * strip leading "./" from printed filename prefix if grepping working directory
  * fix not skipping ROS2 bag if all topics filtered out
  * fix making compatible QoS for ROS2 topic subscriptions
  * fix making unique filename on error in HTML output

 -- Erki Suurjaak <erki@lap.ee>  Tue, 15 Mar 2022 22:00:00 -0000

ros-foxy-grepros (0.4.3-1focal) focal; urgency=high

  * continue subscribing to other live topics even if one causes error
  * continue reading from ROS2 bag even if one message type causes error
  * subscribe to live topics in ROS2 with QoS matching publisher
  * fix not saving publisher QoS profiles in written ROS2 bags
  * fix package build not including submodules (#1)

 -- Erki Suurjaak <erki@lap.ee>  Mon, 28 Feb 2022 22:00:00 -0000

ros-foxy-grepros (0.4.2-1focal) focal; urgency=high

  * add overwrite=true|false to --write options
  * add column-name=rostype:value to --write Parquet options
  * add scripts/generate_msgs.py
  * create message type definition from .idl if .msg file not available in ROS2
  * improve DDS type parsing in ROS2
  * handle ROS2 char and byte int8/uint8 reversal vs ROS1
  * fix assembling message type full definition in ROS2
  * fix processing byte values in ROS2
  * fix processing bounded string types in ROS2
  * fix inserting chars in Postgres
  * fix inserting very large integers in SQLite

 -- Erki Suurjaak <erki@lap.ee>  Tue, 08 Feb 2022 22:00:00 -0000

ros-foxy-grepros (0.4.1-1focal) focal; urgency=high

  * refactor database and SQL sinks onto a common base
  * allow specifying dialect options in Postgres/SQLite output
  * allow overriding table and view names in SQL dialects
  * allow specifying field value adapters in SQL dialects
  * allow specifying structured type mappings in Parquet output like type-uint8[]="list(uint8())"
  * drop meta-table from Postgres output
  * drop default value from --publish-prefix option
  * fix error in parsing subtypes from message definitions
  * fix converting ROS2 temporal messages to seconds/nanoseconds

 -- Erki Suurjaak <erki@lap.ee>  Fri, 07 Jan 2022 22:00:00 -0000

ros-foxy-grepros (0.4.0-1focal) focal; urgency=high

  * add --plugin grepros.plugins.parquet (Parquet output)
  * add --plugin grepros.plugins.sql (SQL schema output)
  * add --plugin grepros.plugins.embag (faster ROS1 bag reader)
  * add --reindex-if-unindexed option
  * add --every-nth-match option
  * add --every-nth-message option
  * add --every-nth-interval option
  * allow multiple write sinks, combine --write-format and --write-option to --write
  * refactor plugins interface
  * populate topics.offered_qos_profiles in ROS2 bag output where possible
  * fix progress bar afterword not updating when grepping multiple bags
  * fix error on empty bag with no messages
  * fix error in Postgres output for NaNs in nested JSON values
  * fix skipping some messages in ROS1 bag for types with identical hashes
  * fix not being able to specify list arguments several times
  * ensure no conflicts from changed message types or identical type hashes
  * add tests

 -- Erki Suurjaak <erki@lap.ee>  Sat, 25 Dec 2021 22:00:00 -0000

ros-foxy-grepros (0.3.5-1focal) focal; urgency=high

  * fix Postgres output not having content

 -- Erki Suurjaak <erki@lap.ee>  Mon, 13 Dec 2021 22:00:00 -0000

ros-foxy-grepros (0.3.4-1focal) focal; urgency=high

  * add --write-option message-yaml=true|false, for SQLite output
  * speed up SQLite output (~4-8x)
  * speed up YAML formatting (~2x)
  * fix no engine name in console texts for Postgres output

 -- Erki Suurjaak <erki@lap.ee>  Mon, 13 Dec 2021 22:00:00 -0000

ros-foxy-grepros (0.3.3-1focal) focal; urgency=high

  * fix errors in Postgres/SQLite output

 -- Erki Suurjaak <erki@lap.ee>  Sun, 12 Dec 2021 22:00:00 -0000

ros-foxy-grepros (0.3.2-1focal) focal; urgency=high

  * rename --write-option commit_interval to commit-interval
  * raise Postgres default commit-interval from 100 to 1000
  * add --write-option commit-interval support to SQLite output
  * add --write-option subtypes=array|all, for Postgres/SQLite output
  * speed up SQLite output (~2x)

