=== debian/control ===
Source: ros-foxy-grepros
Section: misc
Priority: optional
Maintainer: Erki Suurjaak <erki@lap.ee>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-yaml, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-builtin-interfaces, ros-foxy-rclpy, ros-foxy-rosidl-parser, ros-foxy-rosidl-runtime-py, ros-foxy-std-msgs <!nocheck>, ros-foxy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: http://www.ros.org/wiki/grepros
Standards-Version: 3.9.2

Package: ros-foxy-grepros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-foxy-builtin-interfaces, ros-foxy-rclpy, ros-foxy-rosidl-parser, ros-foxy-rosidl-runtime-py, ros-foxy-ros-workspace
Description: grep for ROS bag files and live topics
